Products
Products Prices Partial Update
Update details of an existing product price.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Path Parameters
id*integer
A unique integer value identifying this Price.
currency*string
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"price?string
Match
^-?\d{0,10}(?:\.\d{0,2})?$Format
decimalretail?|
Match
^-?\d{0,10}(?:\.\d{0,2})?$Format
decimalsubscription?|
Match
^-?\d{0,10}(?:\.\d{0,2})?$Format
decimalsubscription_suggested_downsell?|
Match
^-?\d{0,10}(?:\.\d{0,2})?$Format
decimalResponse Body
application/json
curl -X PATCH "https://example.29next.store/api/admin/products/0/prices/string/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer " \
-H "Content-Type: application/json" \
-d '{}'{
"price": "string",
"retail": "string",
"subscription": "string",
"subscription_suggested_downsell": "string"
}